Loading...
Searching...
No Matches
qwt_polar_layout.h
/******************************************************************************
* QwtPolar Widget Library
* Copyright (C) 2008 Uwe Rathmann
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the Qwt License, Version 1.0
*****************************************************************************/
#ifndef QWT_POLAR_LAYOUT_H
#define QWT_POLAR_LAYOUT_H
#include "qwt_global.h"
#include "qwt_polar_plot.h"
class QWT_EXPORT QwtPolarLayout
{
public:
enum Option
{
IgnoreScrollbars = 0x01,
IgnoreFrames = 0x02,
IgnoreTitle = 0x04,
IgnoreLegend = 0x08
};
Q_DECLARE_FLAGS( Options, Option )
explicit QwtPolarLayout();
virtual ~QwtPolarLayout();
void setLegendPosition( QwtPolarPlot::LegendPosition pos, double ratio );
void setLegendPosition( QwtPolarPlot::LegendPosition pos );
QwtPolarPlot::LegendPosition legendPosition() const;
void setLegendRatio( double ratio );
double legendRatio() const;
virtual void activate( const QwtPolarPlot*,
const QRectF& rect, Options options = Options() );
virtual void invalidate();
const QRectF& titleRect() const;
const QRectF& legendRect() const;
const QRectF& canvasRect() const;
class LayoutData;
protected:
QRectF layoutLegend( Options options, QRectF& ) const;
private:
class PrivateData;
PrivateData* m_data;
};
Q_DECLARE_OPERATORS_FOR_FLAGS( QwtPolarLayout::Options )
#endif
QwtPolarLayout
Layout class for QwtPolarPlot.
Definition qwt_polar_layout.h:24
QwtPolarLayout::Option
Option
Options to configure the plot layout engine.
Definition qwt_polar_layout.h:29
QwtPolarLayout::Options
QFlags< Option > Options
Definition qwt_polar_layout.h:43
QwtPolarPlot
A plotting widget, displaying a polar coordinate system.
Definition qwt_polar_plot.h:47
QwtPolarPlot::LegendPosition
LegendPosition
Definition qwt_polar_plot.h:60